Bug 146505 - Kernel fails to work with firewire controller normally supported by the kernel.
Kernel fails to work with firewire controller normally supported by the kernel.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-28 17:17 EST by Florian Idelberger
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:13:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Idelberger 2005-01-28 17:17:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
From the kernel output it seems to be that the kernel fails to work
with  a firewire pcmcia controller, known to work in other
configurations of fedora and other distributions. The controller uses
a via chipset which should be working fine as far as I know, under all
distributions witha decent kernel.
The funny thing is, although the error, my ipod works more often than
a normal firewire drive.

Version-Release number of selected component (if applicable):
2.6.10-1.741_FC3

How reproducible:
Sometimes

Steps to Reproduce:
1. Pop the pcmcia card out.
2. Put it back in.
3. attach a firewire drive
4. Notice that it won't work and read the log output
    

Actual Results:  I couldn't of course access the drive and the errors
in the kernel log were created.

Expected Results:  The drive/controller should have been recognized.

Additional info:

The output of the kernel is:
Jan 28 22:48:57 localhost kernel: ohci1394: fw-host0: Set PHY Reg
timeout [0xffffffff/0x00004000/100]
Jan 28 22:48:57 localhost kernel: ohci1394: fw-host0: Set PHY Reg
timeout [0xffffffff/0x00004000/100]
Jan 28 22:48:58 localhost hald[3990]: Timed out waiting for hotplug
event 819. Rebasing to 820
Jan 28 22:49:03 localhost kernel: PCI: Via IRQ fixup
Jan 28 22:49:03 localhost kernel: PCI: Enabling device 0000:06:00.0
(0080 -> 0083)
Jan 28 22:49:03 localhost kernel: ACPI: PCI interrupt 0000:06:00.0[A]
-> GSI 11 (level, low) -> IRQ 11
Jan 28 22:49:04 localhost wait_for_sysfs[17698]: error: unknown bus,
please report to <linux-hotplug-devel@lists.sourceforge.net> 'ieee1394'
Jan 28 22:49:04 localhost wait_for_sysfs[17698]: either wait_for_sysfs
(udev 039) needs an update to handle the device
'/devices/pci0000:00/0000:00:11.1/0000:06:00.0/fw-host0' properly
(unknown bus) or the sysfs-support of your device's driver needs to be
fixed, please report to <linux-hotplug-devel@lists.sourceforge.net>
Jan 28 22:49:04 localhost kernel: ohci1394: fw-host0: OHCI-1394 1.1
(PCI): IRQ=[11]  MMIO=[11000000-110007ff]  Max Packet=[65536]
Jan 28 22:49:04 localhost ieee1394.agent[17707]: ... no drivers for
IEEE1394 product 0x/0x/0x
Jan 28 22:49:04 localhost kernel: ieee1394: Error parsing configrom
for node 0-00:1023
Jan 28 22:49:04 localhost wait_for_sysfs[17736]: error: unknown bus,
please report to <linux-hotplug-devel@lists.sourceforge.net> 'ieee1394'
Jan 28 22:49:04 localhost wait_for_sysfs[17736]: either wait_for_sysfs
(udev 039) needs an update to handle the device
'/devices/pci0000:00/0000:00:11.1/0000:06:00.0/fw-host0/01ac9120000002e7'
properly (unknown bus) or the sysfs-support of your device's driver
needs to be fixed, please report to
<linux-hotplug-devel@lists.sourceforge.net>
Jan 28 22:49:05 localhost kernel: ieee1394: Error parsing configrom
for node 0-01:1023
Jan 28 22:49:05 localhost wait_for_sysfs[17765]: error: unknown bus,
please report to <linux-hotplug-devel@lists.sourceforge.net> 'ieee1394'
Jan 28 22:49:05 localhost wait_for_sysfs[17765]: either wait_for_sysfs
(udev 039) needs an update to handle the device
'/devices/pci0000:00/0000:00:11.1/0000:06:00.0/fw-host0/400401012800c037'
properly (unknown bus) or the sysfs-support of your device's driver
needs to be fixed, please report to
<linux-hotplug-devel@lists.sourceforge.net>
Jan 28 22:49:05 localhost ieee1394.agent[17776]: ... no drivers for
IEEE1394 product 0x/0x/0x
Jan 28 22:49:05 localhost ieee1394.agent[17750]: ... no drivers for
IEEE1394 product 0x/0x/0x
Jan 28 22:49:06 localhost wait_for_sysfs[17793]: error: unknown bus,
please report to <linux-hotplug-devel@lists.sourceforge.net> 'ieee1394'
Jan 28 22:49:06 localhost wait_for_sysfs[17793]: either wait_for_sysfs
(udev 039) needs an update to handle the device
'/devices/pci0000:00/0000:00:11.1/0000:06:00.0/fw-host0/400401012800c037/400401012800c037-0'
properly (unknown bus) or the sysfs-support of your device's driver
needs to be fixed, please report to
<linux-hotplug-devel@lists.sourceforge.net>
Jan 28 22:49:06 localhost ieee1394.agent[17796]: ... no drivers for
IEEE1394 product 0x/0x/0x
Comment 1 Dave Jones 2005-07-15 16:38:11 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 21:13:38 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.